summaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2007-10-11 15:04:07 +0000
committerRoy Marples <roy@marples.name>2007-10-11 15:04:07 +0000
commit5261b5ed3a74ae5fc47a2c8fff77abec0f793638 (patch)
tree62169a40a4816f23b04bc3114a88a13fe3092bc6 /init.d
parentd2813aff861a791fef8f896c327b7731db34c385 (diff)
downloadopenrc-5261b5ed3a74ae5fc47a2c8fff77abec0f793638.tar.gz
openrc-5261b5ed3a74ae5fc47a2c8fff77abec0f793638.tar.bz2
openrc-5261b5ed3a74ae5fc47a2c8fff77abec0f793638.tar.xz
Fix checkroot and give info about mtab
Diffstat (limited to 'init.d')
-rwxr-xr-xinit.d/checkroot7
1 files changed, 4 insertions, 3 deletions
diff --git a/init.d/checkroot b/init.d/checkroot
index a45265c..087e2c9 100755
--- a/init.d/checkroot
+++ b/init.d/checkroot
@@ -8,9 +8,10 @@ and optionally repair them."
do_mtab() {
# Don't create mtab if /etc is readonly
if ! printf "" 2>/dev/null >/etc/mtab ; then
- ewarn "Skipping /etc/mtab initialization" "(ro root?)"
+ ewarn "Skipping /etc/mtab initialization (ro root?)"
return 0
fi
+ ebegin "Updating /etc/mtab"
# Add the entry for / to mtab
mount -f /
@@ -28,6 +29,7 @@ do_mtab() {
# Remove stale backups
rm -f /etc/mtab~ /etc/mtab~~
+ eend 0
}
root_rw() {
@@ -125,8 +127,7 @@ start() {
else
mount -u -o rw /
fi
- eend $? "Root filesystem could not be mounted read/write :("
- return $?
+ eend $? "Root filesystem could not be mounted read/write" || return $?
fi
# Only Linux has mtab